Bug 1416396 - PackageKit still using proxy removed from gnome-settings
Summary: PackageKit still using proxy removed from gnome-settings
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: PackageKit
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-25 12:19 UTC by Lorenzo Dalrio
Modified: 2017-12-12 10:45 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:45:54 UTC
Type: Bug


Attachments (Terms of Use)

Description Lorenzo Dalrio 2017-01-25 12:19:15 UTC
Description of problem: I Used a proxy configured through gome-settings for some time, now this config has been removed from gnome, but packagekit still uses it.


Version-Release number of selected component (if applicable):
PackageKit-1.1.5-1.fc25.x86_64

How reproducible:
It happens on my work notebook, i do not have other test cases.

Steps to Reproduce:
1.
2.
3.

Actual results:
Updates do not show on gnome-software, pkcon refresh force is not working.

Expected results:


Additional info:

[ldalrio@gollum ~]$ gsettings list-recursively org.gnome.system.proxy
org.gnome.system.proxy use-same-proxy true
org.gnome.system.proxy mode 'none'
org.gnome.system.proxy autoconfig-url 'http://wpad.eng.it/wpad.dat'
org.gnome.system.proxy ignore-hosts @as []
org.gnome.system.proxy.ftp host ''
org.gnome.system.proxy.ftp port 0
org.gnome.system.proxy.socks host ''
org.gnome.system.proxy.socks port 0
org.gnome.system.proxy.http host ''
org.gnome.system.proxy.http port 0
org.gnome.system.proxy.http use-authentication false
org.gnome.system.proxy.http authentication-password ''
org.gnome.system.proxy.http authentication-user ''
org.gnome.system.proxy.http enabled false
org.gnome.system.proxy.https host ''
org.gnome.system.proxy.https port 0
[ldalrio@gollum ~]$ pkcon -v refresh force
13:17:41	PackageKit          Verbose debugging enabled (on console 1)
13:17:41	PackageKit          filter=(null), filters=0
13:17:42	PackageKit          adding state 0x5566fe82c8d0
13:17:42	PackageKit          role now refresh-cache
Refreshing cache              [                         ] (0%)  13:17:42	PackageKit          notify::connected
                              [=========================]         
Loading cache                 [=========================]         
Finished                      [                         ] (0%)  13:17:56	PackageKit          remove state 0x5566fe82c8d0
                              [=========================]         
Fatal error: cannot update repo 'fedora': Cannot prepare internal mirrorlist: Curl error (7): Couldn't connect to server for https://mirrors.fedoraproject.org/metalink?repo=fedora-25&arch=x86_64 [Failed to connect to 192.168.1.131 port 3128: Connection refused]
[ldalrio@gollum ~]$ env | grep -i proxy
[ldalrio@gollum ~]$

Comment 1 Lorenzo Dalrio 2017-02-01 15:14:14 UTC
I can't reproduce this anymore, now it is working as expected.

Comment 2 Francois Botha 2017-02-07 20:41:20 UTC
I can reproduce it.

{ ~ }  ยป pkcon refresh force                                                                                             /etc/yum.repos.d  
Refreshing cache              [=========================]         
Loading cache                 [=========================]         
Finished                      [=========================]         
Fatal error: cannot update repo 'updates': Cannot prepare internal mirrorlist: Curl error (7): Couldn't connect to server for https://mirrors.fedoraproject.org/metalink?repo=updates-released-f25&arch=x86_64 [Failed to connect to 127.0.0.1 port 8080: Connection refused]

Also PackageKit-1.1.5-1.fc25.x86_64 and no proxy defined in environment variables.

Comment 3 Lorenzo Dalrio 2017-03-01 07:44:59 UTC
Reopening, after modifying the proxy settings the problem happens again.

Mar 01 08:42:43 gollum packagekitd[1750]: Skipping refresh of rpmfusion-free: cannot update repo 'rpmfusion-free': Cannot prepare internal mirrorlist: Curl error (5): Couldn't resolve proxy name for https://mirrors.rpmfusion.org/metalink?repo=free-fedora-25&arch=x86_64 [Could not resolve proxy: proxy.eng.it]

Comment 4 Harro Verton 2017-08-09 16:01:30 UTC
I also have this problem (on F25, after updating also on F26). I have removed the proxy configuration months ago, and have been plagued by this issue ever since.

I have found that altough the settings are changed in the gnome panel, they aren't updated in /var/lib/PackageKit/transactions.db (in the proxy table).

Comment 5 Tomasz Torcz 2017-08-27 12:32:23 UTC
I can confirm this in F27 - PackageKit-1.1.6-7.fc27.x86_64

Comment 6 Fedora End Of Life 2017-11-16 18:50:37 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 7 Fedora End Of Life 2017-12-12 10:45:54 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.